:root {
    --black: #0E0E0E;
    --color_main: #06C1D4;
    --color_main_hover: #06C1D4;
    --color_main_active: #06C1D4;
    --color_main_hover: #D1F5F9;
    --white: #fff;
    --dark_gray: #171C27;
    --dark_blue: #242368;
    --gray700: #272E3C;
    --gray600: #414956;
    --gray500: #7A8088;
    --gray200: #D2D7E1;
    --gray100: #E3E7EF;
    --gray50: #F3F5F8;
    --gray10: #FBFBFB;
    --red: #D53B2A;
    --oranger: #ED6E33;
    --green: #21A453;
    --font_main: 'SF_Pro_Display';
    --font2: 'Merriweather';
}

$color-main:#06C1D4;
$color-main2:#008C9B;
$color-1: #ec7965;

$color1:#F6F6F6;
$color1-hover:#ECECEC;
$color1-active:#d3d3d3;

$color2:#06C1D4;
$color2-hover:#008C9B;
$color2-active:#177AC8;

$color3:#177AC8;
$color3-hover:#13669E;
$color3-active:#004D78;

$color4:#A8A8A8;
$color4-hover:#939393;
$color4-active:#707070;

$color5:#E96060;
$color5-hover:#C34C4C;
$color5-active:#A64141;

$color6:#D90000;
$color6-hover:#A00000;
$color6-active:#A00000;

$color7:#FA7814;
$color7-hover:#DA6A15;
$color7-active:#B45811;

$color8:#000000;
$color8-hover:#06C1D4;
$color8-active:#008C9B;

@mixin cubic-transition($delay, $duration, $property) {
    transition: {
        duration: $duration;
        property: $property;
        timing-function: cubic-bezier(.7, 1, .7, 1);
    }
}

@function px_to_rem($target, $context: $base-size) {
    @if $target==0 {
        @return 0
    }

    @return $target / $context+0rem;
}

$base-size: 16px;

@mixin placeholder {
    &::-webkit-input-placeholder {
        @content
    }

    &:-moz-placeholder {
        @content
    }

    &::-moz-placeholder {
        @content
    }

    &:-ms-input-placeholder {
        @content
    }
}

%clearfix {
    clear: both;

    &:before,
    &:after {
        content: "";
        display: table;
        clear: both;
    }
}

%flex {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

%bgsvg {
    background-repeat: no-repeat;
    background-size: cover;
}

%flex-wrap {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.flex {
    @extend %flex;
}

.flex-wrap {
    @extend %flex-wrap;
}

.thumb_img {
    display: block;
    height: 0;
    position: relative;
    overflow: hidden;

    img {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: all .4s ease 0s;
    }
}

.thumb_5x3 {
    padding-bottom: 60%;
}

.thumb_5x4 {
    padding-bottom: 80%;
}

.thumb_5x5 {
    padding-bottom: 100%;
}

.thumb_16x9 {
    padding-bottom: 56.25%;
}